Enable Extension:Gather (article lists) on English Wikipedia Mobile Beta
Closed, ResolvedPublic3 Story Points

Description

Gather should be deployed on production cluster for English projects (English Wikipedia would be sufficient).
https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment

There are a very large number of changes, so older changes are hidden. Show Older Changes
JKatzWMF raised the priority of this task from to Needs Triage.Mar 3 2015, 12:02 AM
JKatzWMF added a project: Gather.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 12:02 AM
JKatzWMF moved this task from Needs triage to Could have on the Gather board.Mar 3 2015, 12:03 AM
JKatzWMF moved this task from Could have to This Sprint on the Gather board.Mar 3 2015, 1:44 AM
JKatzWMF set Security to None.
JKatzWMF moved this task from In Analysis to Ready for dev on the Gather Sprint Diplodocus board.
Jdlrobson updated the task description. (Show Details)Mar 5 2015, 6:48 PM
Jdlrobson renamed this task from Launch Gather on Mobile Web Beta, English Wikipedia to Launch Extension:Gather on production cluster.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Gather.
Jdlrobson added a subscriber: greg.

@greg heads up we are looking to do this in around 2 weeks time.
We'd like to only surface this to beta users of the mobile site for the time being
Is there a separate process we need to just deploy this extension to English Wikipedia or is the above page all we need to follow?

Jdlrobson edited a custom field.Mar 5 2015, 6:52 PM
Jdlrobson moved this task from Ready for dev to In Analysis on the Gather Sprint Diplodocus board.
Legoktm added a subscriber: Legoktm.Mar 5 2015, 6:54 PM
JKatzWMF moved this task from This Sprint to Could have on the Gather board.Mar 5 2015, 9:08 PM
greg added a comment.Mar 5 2015, 9:56 PM

@greg heads up we are looking to do this in around 2 weeks time.
We'd like to only surface this to beta users of the mobile site for the time being
Is there a separate process we need to just deploy this extension to English Wikipedia or is the above page all we need to follow?

See: https://www.mediawiki.org/wiki/Review_queue#Checklist

greg renamed this task from Launch Extension:Gather on production cluster to Launch Extension:Gather on English Wikipedia (Mobile Beta users only).Mar 5 2015, 9:57 PM
greg added a project: Roadmap.
greg moved this task from Unscheduled to March 2015: Features & Apps on the Roadmap board.
greg triaged this task as Normal priority.

ie: create and follow through on all of the reviews (security/product/etc) via subtasks of this task.

Eloquence renamed this task from Launch Extension:Gather on English Wikipedia (Mobile Beta users only) to Enable Extension:Gather (article lists) on English Wikipedia Mobile Beta.Mar 5 2015, 10:24 PM
gpaumier raised the priority of this task from Normal to High.
gpaumier lowered the priority of this task from High to Normal.
gpaumier added a subscriber: gpaumier.

Sorry, I didn't expect Phabricator to change the priority when moving the item on a board!

Jdlrobson edited a custom field.Mar 16 2015, 7:23 PM
Jdlrobson moved this task from Could have to In sprint on the Gather board.Mar 19 2015, 5:56 PM

@greg "Make sure the extension is automatically branched. [1]"
Newbie question - what does this mean?

[1] https://gerrit.wikimedia.org/r/#/projects/mediawiki/tools/release,dashboards/default

greg added a comment.Mar 20 2015, 3:42 PM

Tentatively scheduled for 2015-03-24 10:00 SF (ie: the mobile window, just because :))

Restricted Application added a project: Notice. · View Herald TranscriptMar 24 2015, 10:01 PM
Nemo_bis removed a subscriber: Nemo_bis.Mar 25 2015, 7:14 AM

@Nemo_bis, it's for 'beta users of the mobile site for the time being'.

I'm good with that.

Nemo_bis removed a subscriber: Nemo_bis.Mar 25 2015, 8:40 AM

hmm, just in case, how long would it take to disable the extension temporarily, if need? More than a day?

just in case, how long would it take to disable the extension temporarily, if need? More than a day?

https://wikitech.wikimedia.org/wiki/SWAT_deploys

gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:58 PM
JKatzWMF added a subscriber: Eloquence.

@Eloquence. We are pushing back 2 days in order to deploy on test wiki first. I think that is a prudent move. New deployment date for en wiki beta is Monday, 3/30.

Change 200781 had a related patch set uploaded (by Jdlrobson):
Enable Gather on enwiki

https://gerrit.wikimedia.org/r/200781

Change 200781 merged by MaxSem:
Enable Gather on enwiki

https://gerrit.wikimedia.org/r/200781

Jdlrobson closed this task as Resolved.Mar 30 2015, 11:53 PM

We are live.

Jdlrobson reopened this task as Open.Apr 1 2015, 5:33 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 2 2015, 7:01 PM
Jdlrobson closed this task as Resolved.Apr 2 2015, 7:46 PM

This is now enabled again as of yesterday: https://en.m.wikipedia.org/wiki/Special:GatherLists